<template>
    <div>
        <menu-component v-show="!isContainerShow" @state="onStateChanged" />

        <canvas v-show="isContainerShow" id="container"></canvas>
    </div>
</template>

<script>
import MenuComponent from './menu/Index.vue';

export default {
    name: 'app',
    components: {
        MenuComponent,
    },
    data: () => ({
        state: 'single',
    }),
    computed: {
        isContainerShow() {
            return this.state === 'single';
        },
    },
    methods: {
        onStateChanged(e) {
            this.state = e;
        },
    },
};
</script>